import { ScheduleItemProps } from './value-objects/schedule-item.value-object';

// All properties that an Ad has
export interface AdProps {
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  driverDuration: number;
  driverDistance: number;
  passengerDuration: number;
  passengerDistance: number;
  waypoints: string;
  direction: string;
  fwdAzimuth: number;
  backAzimuth: number;
}

// Properties that are needed for an Ad creation
export interface CreateAdProps {
  id: string;
  userId: string;
  driver: boolean;
  passenger: boolean;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: ScheduleItemProps[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  driverDuration: number;
  driverDistance: number;
  passengerDuration: number;
  passengerDistance: number;
  waypoints: string;
  direction: string;
  fwdAzimuth: number;
  backAzimuth: number;
}

export enum Frequency {
  PUNCTUAL = 'PUNCTUAL',
  RECURRENT = 'RECURRENT',
}
